-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Graphic Kernel System (GKS)
-- Version      : 1.0
-- Author       : Harris Corp., Government Infor Sys Div      
--              : P. O. Box 98000
--              : Melbourne, FL  32902
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : (c) 1985 Harris Corp.
-- Date created : 1985
-- Release date : 1985
-- Last update  : 1985
-- Machine/System Compiled/Run on :
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstract     : The Graphic Kernel System (GKS) is a device
----------------: independent software package which implements
----------------: the draft GKS binding to ANSI Ada for GKS 
----------------: levels Ma, Oa, 1a, 2a, Mb, Ob, 1b, Mc, and 1c.
----------------: GKS/Ada will support selective visibility, 
----------------: independent VDI and VDM interfaces, the       
----------------: configuration of multiple graphic device         
----------------: drivers, and independent packaging of the 
----------------: various GKS levels.  
----------------: The complete GKS will include a prototype 
----------------: metafile generator/driver, and a metafile 
----------------: interprete.  Device-dependent software must
----------------: be included to drive the Lexidata color rastor
----------------: device and the Summagraphics graphics tablet.
----------------: Ada software to support contour processing 
----------------: requirements, including grid generation, 
----------------: mathematical interpolation and contour map 
----------------: generation needs to be developed.  Also, 
----------------: the GKS and provides for the delivery of
----------------: WIS-compatible equipment capable of high quality
----------------: 35mm color slides directly from graphics displays.
----------------:
----------------: This tool was developed as a precursor for 
----------------: the WMCCS Information System (WIS).  An
----------------: executable version of the tool has been 
----------------: demonstrated.  This source code has sub-
----------------: sequently been recompiled but has not under-
----------------: gone extensive testing.
----------------:
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION AUTHOR                  HISTORY 
-- 05/85           1.0  Harris Corp.            Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
----------------- Disclaimer ----------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                          -*
----------------- END-PROLOGUE -------------------------------
